# GO optimization pack

The Go optimization pack provides support for optimizing Go applications.

## Component Types

The following component types are supported for Go applications.

| Component Type                                                                             | Description          |
| ------------------------------------------------------------------------------------------ | -------------------- |
| [Go 1](https://docs.akamas.io/akamas-docs/3.5.0/reference/optimization-packs/go-pack/go-1) | The Golang runtime 1 |

## Installing

Here’s the command to install the Go optimization pack using the Akamas CLI:

```bash
akamas install optimization-pack Go
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.akamas.io/akamas-docs/3.5.0/reference/optimization-packs/go-pack.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
